package com.clx.performance.service.thirdparty.nbbank;

import com.alibaba.fastjson.JSONObject;
import com.nbopen.api.SDKRequest;
import com.nbopen.api.SDKResponse;

public interface NbBankThirdpartyService {

    JSONObject directBankTransferOrder(String merSeqNo, String merId, Integer amount);

    JSONObject unionPayDirectOrder(String merSeqNo, String merId, Integer amount,
                                   String payAcctOpenBankId, String payAcctNo, String payAcctNm);

    JSONObject queryOrder(String merSeqNo);

    void recordSave(Integer type, SDKRequest request, SDKResponse response);

}
